Host does not support virtualization type 'xen'

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]


Hello Community,

 I successfully installed and run xen (xm list and xm info (but virt_caps only has hvm) can output appropriately).
 However, while I was installing domU image by using virt-install -p at domU OS. I encountered an
error information" Host does not support virtualization type 'xen' ".
I built xen from source. Some of my friends have the same issue, but if they use pre-build xen, the issue will go away.
However, I want to insist in using my version of xen (build from source). Does anyone can give any hint about this error?

I asked the same question at xen community and they said this is not a issue from xen but libvirt. Meanwhile they told me I need to rebuild libvirt to adapt my current version of Xen.

However, after I re-build xen (download, decompress, ./configure, make, make install), the error is still there.
Can anyone let me know if I built the libvirt correctly? Do I need to do anything specific to my current version (4.1.2) of Xen?
I'll appreciate if any suggestions can be given,

Thanks,

--
Su Zhang
Ph.D Candidate
Computing and Information Sciences
Kansas State University

[Virt Tools]     [Lib OS Info]     [Fedora Users]     [Fedora Maintainers]     [Fedora Desktop]     [Fedora SELinux]     [Big List of Linux Books]     [Yosemite News]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]

Powered by Linux

Google
  Web www.spinics.net